package com.tencent.mm.plugin.appbrand.jsapi.file;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask$ProcessRequest;
import com.tencent.mm.plugin.appbrand.jsapi.file.JsApiOpenDocument.a;

final class JsApiOpenDocument$OpenRequest extends AppBrandProxyUIProcessTask$ProcessRequest {
    public static final Creator<JsApiOpenDocument$OpenRequest> CREATOR = new 1();
    public String eov;
    public String filePath;

    public final Class<? extends AppBrandProxyUIProcessTask> aCa() {
        return a.class;
    }

    public final String aBZ() {
        return "QbDocumentReader";
    }

    public final void k(Parcel parcel) {
        AppMethodBeat.i(131069);
        super.k(parcel);
        this.filePath = parcel.readString();
        this.eov = parcel.readString();
        AppMethodBeat.o(131069);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(131070);
        super.writeToParcel(parcel, i);
        parcel.writeString(this.filePath);
        parcel.writeString(this.eov);
        AppMethodBeat.o(131070);
    }

    JsApiOpenDocument$OpenRequest() {
    }

    JsApiOpenDocument$OpenRequest(Parcel parcel) {
        super(parcel);
    }

    static {
        AppMethodBeat.i(131071);
        AppMethodBeat.o(131071);
    }
}
